<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC "-//APACHE//DTD LOG4J 1.2//EN" "log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
    <appender name="console" class="org.apache.log4j.ConsoleAppender">
        <param name="Target" value="System.out" />
        <layout class="org.apache.log4j.PatternLayout">
           <param name="ConversionPattern" value="[%p] %F(%L) - %m%n" />
        </layout>
    </appender>
    <appender name="file-appender" class="org.apache.log4j.FileAppender">
        <param name="File" value="../cli.log" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%d{ISO8601} [%p] %F(%L) - %m%n" />
        </layout>
    </appender>
    <appender name="progress-console" class="org.apache.log4j.ConsoleAppender">
        <param name="Target" value="System.out" />
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%m%n" />
        </layout>
    </appender>
    <appender name="null" class="org.apache.log4j.varia.NullAppender">
    </appender>
    <logger name="NCLI_PROGRESS">
       <level value="info"/>
       <appender-ref ref="progress-console" />
    </logger>
    <logger name="org.tizen.ncli.ide">
       <level value="trace"/>
       <appender-ref ref="file-appender" />
    </logger>
    <logger name="org.tizen.core.ide">
       <level value="off"/>
       <appender-ref ref="file-appender" />
    </logger>
    <root>
        <priority value="off" />
        <appender-ref ref="null" />
    </root>
</log4j:configuration>
